Page MenuHomePhabricator

Community Metrics for IRC channels not updated since 09/2013
Closed, ResolvedPublic

Description

http://korma.wmflabs.org/browser/data_sources.html states that "IRC Messages" was last updated on 2013-09-19.

Is there a particular reason for this? If this is intentional, should IRC activity not be displayed on korma?

Affected pages:

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Aklapper created this task.Apr 17 2015, 2:24 PM
Aklapper raised the priority of this task from to Normal.
Aklapper updated the task description. (Show Details)
Aklapper added a project: wikimedia.biterg.io.
Aklapper added a subscriber: Aklapper.
Qgil assigned this task to Dicortazar.Apr 30 2015, 9:51 AM
Qgil added a project: ECT-May-2015.
Qgil set Security to None.
Qgil added a subscriber: Qgil.Apr 30 2015, 11:31 AM

Ah, today in our meeting I thought we were talking about T56230: Tech metrics missing IRC channels. Anyway, I will push the priority of that one.

I've been checking what's going on here.

From the initial list of IRC channels whose logs where downloaded and analyzed, I'm missing three of them nowadays.

Initial list with downloads:

  • huggle (MISSING logs)
  • mediawiki
  • semantic-mediawiki (MISSING logs)
  • wikimedia-analytics
  • wikimedia-dev
  • wikimedia-fundraising
  • wikimedia-labs
  • wikimedia-mobile
  • wikimedia-operations
  • wikimedia-tech
  • wikimedia-toolserver (MISSING logs)

Please, is there a direct link to the missing logs? I've found all of the logs being pointed out at this page: https://meta.wikimedia.org/wiki/IRC/Channels

IRC metrics are now updated. I'll work on its automation.

I'll close this ticket, but let me know extra channels you may be interested.

Dicortazar closed this task as Resolved.May 26 2015, 2:55 PM
Dicortazar moved this task from Backlog to Doing on the ECT-May-2015 board.
  • huggle (MISSING logs)

I can see them here: https://lists.wikimedia.org/pipermail/huggle/

  • semantic-mediawiki (MISSING logs)

Not on WM: http://semantic-mediawiki.org/wiki/Semantic_MediaWiki_mailing_lists and https://semantic-mediawiki.org/wiki/Help:Getting_support says those lists are on SourceForge and not on Wikimedia, e.g. https://lists.sourceforge.net/lists/listinfo/semediawiki-user . Not sure if there ever was such a list on WM; maybe it just predates me.

  • wikimedia-toolserver (MISSING logs)

Ignore/remove. https://lists.wikimedia.org/pipermail/toolserver-l/ (but no sense in fixing this as Toolserver was taken offline last year and replaced by Labs so I don't expect relevant traffic on that list)

Please, is there a direct link to the missing logs?

https://lists.wikimedia.org/mailman/listinfo is the canonical list of those mailing lists hosted on Wikimedia infrastructure (and each list provides a link to the archive).

IRC metrics are now updated. I'll work on its automation.

Thanks!!

Uargh. Ignore my last comment; this is obviously about IRC logs and not mailing lists.

@Aklapper, but those are mailing lists. I guess that in this ticket we're only interested in IRC channels.

Dicortazar added a comment.EditedMay 27 2015, 12:44 PM

too late, sorry :(

Moved from petrb personal namespace to wm-bot namespace:

  • huggle (MISSING logs)

http://bots.wmflabs.org/~wm-bot/logs/%23huggle/

  • semantic-mediawiki (MISSING logs)

http://bots.wmflabs.org/~wm-bot/logs/%23semantic-mediawiki/

  • wikimedia-toolserver (MISSING logs)

http://bots.wmflabs.org/~wm-bot/logs/%23wikimedia-toolserver/ (but does not make any sense nowadays IMO)

Thanks for the pointers!

The three channels are being updated just now.

Regarding to the list of them, we may move the discussion to T56230: Tech metrics missing IRC channels

Data updated in korma.

Qgil awarded a token.May 28 2015, 3:05 PM